# video_driver.hpp File Reference

Base of all video drivers. More...

`#include "../driver.h"`
`#include "../core/geometry_type.hpp"`

Go to the source code of this file.

## Data Structures
class | VideoDriver
class | VideoDriverFactoryBase
class | VideoDriverFactory< T >
## Variables
VideoDriver * | _video_driver
char * | _ini_videodriver
int | _num_resolutions
Dimension | _resolutions [32]
Dimension | _cur_resolution
bool | _rightclick_emulate

## Detailed Description

Base of all video drivers.

Definition in file video_driver.hpp.